Topic: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

After upgrading to macOS Sierra, I am getting ERR_PROXY_CERTIFICATE_INVALID whenever I enable Proxy. I even reinstalled Epic but that didn't solved the problem.

Any help is appreciated.

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

does epic browser works in mac Sierra?? i am having same problem as @mobix help needed

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

I have the same problem when I updated to sierra on mac book pro

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

I am in the same situation as mobix and the two other people under "Help and Troubleshooting"

Epic also appears to be hanging or at least working impracticably slowly which has deveoped in the last 24 hours.

Like mobix I would appreciate any help. I have been increasingly using epic.

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

I too am having that issue after updating to macOS Sierra 10.12. I used to leave proxy on all the time, but can't anymore. I love Epic browser - so much faster, no one spying on me to send target ads.
Any idea when it may be fixed?

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

Hi, sorry for this issue.  We have NO IDEA why the proxy isn't working on Mac Sierra.  We're working on this.  If anyone has any ideas or a solution, please let us know!!  Any hard core networking folks please make any suggestions you have, thanks!!

That said, Epic otherwise works great with the proxy turned off in Sierra...so that works for now and we should have a fix for the proxy soon.  To turn the proxy off, just click the top right green button to make it red.

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

I'm not hugely knowledgeable about these things but I wondered if this was the cause. https://support.apple.com/en-us/HT206844

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

Like others, I'm getting "proxy certificate invalid" after upgrading Sierra OS.  Any fixes yet?  Epic worked perfectly before this upgrade.

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

Hi I believe it's not related to OS X Sierra but to proxy certificate because I'm using OS X 10.9 with same issue.

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

It looks solved here (under Mavericks 10.9) since 2 days.
Far better so. Thanks.

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

I have the same problem, running OSX 10.12.4.  Is there a fix?

Re: ERR_PROXY_CERTIFICATE_INVALID error after upgrading to macOS Sierra

Should be fixed!!!   As of a few months ago!!!